V1MeLeaveIdWithdraw
Withdraw your pending request; retain its review history
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Default
{}Response Body
application/json
application/json
curl -X POST "https://example.com/v1/me/leave/497f6eca-6276-4993-bfeb-53cbbbba6f08/withdraw" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0", "tenantName": "string", "startDate": "2019-08-24", "endDate": "2019-08-24", "note": "", "certificateReference": "", "calendarDays": 1, "status": "draft", "createdAt": "2019-08-24T14:15:22Z", "submittedAt": "2019-08-24T14:15:22Z", "consent": { "version": "2026-09-09", "grantedAt": "2019-08-24T14:15:22Z" }, "history": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "action": "submitted", "actor": "employee", "note": "string", "at": "2019-08-24T14:15:22Z" } ], "certificate": { "mimeType": "image/jpeg", "expiresAt": "2019-08-24T14:15:22Z" }}